.mobile_menu {
    padding: 0 30px 30px 30px;
    position: fixed;
    background: #171C2B;
    left: 0;
    right: 0;
    top: 60px;
    bottom: 0;
    height: 100%;
    z-index: 100;
}

.mobile_nav {
    margin-top: 30px;
    font-size: 14px;
    overflow: scroll;
    display: block;
    /*height: calc(100vh - 60px);*/
}

.mobile_nav > li {
    margin-bottom: 20px;
}

.mobile_nav a {
    color: #c4c4c7;
}

.sub_nav {
    padding-left: 30px;
}

.sub_nav li {
    margin-bottom: 15px;
}

.cmn-toggle-switch {
    display: block;
    position: relative;
    overflow: hidden;
    margin: 0;
    padding: 0;
    width: 33px;
    height: 31px;
    font-size: 0;
    text-indent: -9999px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    box-shadow: none;
    border-radius: none;
    border: none;
    cursor: pointer;
    -webkit-transition: background 0.3s;
    transition: background 0.3s;
}

.cmn-toggle-switch:focus {
    outline: none;
}

.cmn-toggle-switch span {
    display: block;
    position: absolute;
    top: 18px;
    left: 5px;
    right: 5px;
    height: 3px;
    background: white;
}

.cmn-toggle-switch span::before,
.cmn-toggle-switch span::after {
    position: absolute;
    display: block;
    left: 0;
    width: 100%;
    height: 3px;
    background-color: #fff;
    content: "";
}

.cmn-toggle-switch span::before {
    top: 8px;
}

.cmn-toggle-switch span::after {
    bottom: 8px;
}

/*  Rotating hamburger icon (rot),  */

.cmn-toggle-switch__htx {
    background-color: #171C2B;
}

.cmn-toggle-switch__htx span {
    -webkit-transition: background 0 0.3s;
    transition: background 0 0.3s;
}

.cmn-toggle-switch__htx span::before,
.cmn-toggle-switch__htx span::after {
    -webkit-transition-duration: 0.3s, 0.3s;
    transition-duration: 0.3s, 0.3s;
    -webkit-transition-delay: 0.3s, 0;
    transition-delay: 0.3s, 0;
}

.cmn-toggle-switch__htx span::before {
    -webkit-transition-property: top, -webkit-transform;
    transition-property: top, transform;
}

.cmn-toggle-switch__htx span::after {
    -webkit-transition-property: bottom, -webkit-transform;
    transition-property: bottom, transform;
}

/* active state, i.e. menu open */
.cmn-toggle-switch__htx.active {
    background-color: #171C2B;
}

.cmn-toggle-switch__htx.active span {
    background: none;
}

.cmn-toggle-switch__htx.active span::before {
    top: 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.cmn-toggle-switch__htx.active span::after {
    bottom: 0;
    -webkit-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

.cmn-toggle-switch__htx.active span::before,
.cmn-toggle-switch__htx.active span::after {
    -webkit-transition-delay: 0, 0.3s;
    transition-delay: 0, 0.3s;
}